%define name python-memphis
%define version 0.2.1
%define release %mkrel 3

Summary:	Python bindings for the Memphis maps renderer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	pymemphis-mainline-master.tar.gz
Patch0:		python-memphis-0.2.1-automake-1.13.patch
License:	GPLv2+
Group:		Development/Python
Url:		http://gitorious.net/pymemphis
BuildRequires:	memphis-devel
BuildRequires:	python-gobject-devel
BuildRequires:	python-cairo-devel

%description
Libmemphis is a generic glib/cairo based OSM renderer library. It
draws maps on arbitrary cairo surfaces. PyMemphis provides Python
bindings for this library.

%package	devel
Summary:	Python bindings for the Memphis maps renderer
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description devel
Libmemphis is a generic glib/cairo based OSM renderer library. It
draws maps on arbitrary cairo surfaces. PyMemphis provides Python
bindings for this library.

%prep
%setup -q -n pymemphis-mainline
%patch0 -p1 -b .automake113
./autogen.sh

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc AUTHORS README
%{py_platsitedir}/memphis

%files devel
%{_datadir}/pymemphis
%{_libdir}/pkgconfig/pymemphis-0.2.pc


%changelog

* Wed Jan 16 2013 sander85 <sander85> 0.2.1-3.mga3
+ Revision: 388749
- Fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 pterjan <pterjan> 0.2.1-2.mga1
+ Revision: 35477
- imported package python-memphis

